Subject: bug#64347: 30.0.50; Some customize faces shown as edited with -Q

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Jun 2023 15:38:29 +0300

> From: Stephen Berman <[email-masked]>
> Date: Thu, 29 Jun 2023 12:15:00 +0200
> 
> 0. emacs -Q
> 1. M-x customize-face RET RET
> 2. Toggle all face entries in the buffer *Customize Faces* (e.g. by
>    creating this keyboard macro: C-s C-q C-j S RET C-f and then
>    executing it 164 times) and search for the string "EDITED" in the
>    buffer.
>    => The following faces show the State "EDITED, shown value does not
>    take effect until you set or save it.":
>    confusingly-reordered
>    custom-button
>    custom-button-mouse
>    custom-button-pressed
>    mode-line
>    mode-line-highlight
>    mode-line-inactive
>    tab-bar-tab
>    tool-bar
>    All other faces show the State "STANDARD".
> 3. Clicking the State button of these faces and selecting either "Undo
>    Edits" or "Revert This Session's Customization" does not change the
>    State shown.
> 4. Clicking the State button of, e.g., mode-line and selecting "Set for
>    Current Session" changes the State shown to "SET for current session
>    only."  I see no difference in the appearance of the mode line before
>    and after this State change.
> 5. Clicking the State button of mode-line again and selecting "Revert
>    This Session's Customization" changes the State shown back to
>    "EDITED, shown value does not take effect until you set or save it.",
>    and again the appearance of the mode-line is unchanged.

This is a regression between Emacs 27.2 and Emacs 28.1.  Bisecting
will be welcome.